Subject: [dir-coord] review repositories

From: Claudio Allocchio <[email-masked]>
Date: Thu, 12 Sep 2013 16:05:28 +0200 (CEST)

BTW... in AppsDir we have this very rough (but apparently very apreciated) 
page to collect reviews and make them easily available:

http://trac.tools.ietf.org/area/app/trac/wiki/tracker

Indeed we also discussed internally and with App ADs how to make tools to 
link reviews semi-automatically into the Datatracker, too.

Is there something similar in the other directorates? At least the idea f 
the tools linking into Datatracker should be considered globally I guess, 
but we can just start with easy cross references to web/wiki pages for a 
quick start.

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

            PGP Key: http://www.cert.garr.it/PGP/keys.php3#ca

---

From: Tero Kivinen <[email-masked]>
Date: Thu, 12 Sep 2013 17:56:46 +0300

> link reviews semi-automatically into the Datatracker, too.

In secdir (and some other directoraties) we use the area review team
tool I had made for that purpose to keep track of the reviews. It is
linked to the datatracker (and other tools) so that review team
secretary can go and fetch data from the datatracker, iesg telechat
etc and then do the assignments using the tool. It will also generate
email template suitable to be sent out as assignment email (which I
then copy & paste to the email I sent out). 

There is a way to store link to the review email in the tool, and area
directors can use it to see the links, but filling that field is not
automatic, I do it manually by checking the secdir mail archive.

To make that process automatic is bit hard, as the email sent to the
secdir list, does not have any information what will be the final
stable url for the email when it finally ends to the mail archive, so
the automatic tool would need to go and find the review in the
archive, get the url and store it to the database.

> but we can just start with easy cross references to web/wiki pages for a 

The ART Tool has wiki page explaining how it works:

https://wiki.tools.ietf.org/tools/art/trac/wiki

(there is also issue tracker and the sources available from there).

I also have test version of the database. This test version can be
used by any interested people. I already made account
[email-masked] for that tool, so you can use that username
and normal tool.ietf.org password associated with that username to
access the test site at:

https://art.tools.ietf.org/tools/art/ipdir/

If someone else is interested in checking it just send me email and I
will make account for you. The pink background in test site is to make
it easy for me to notice when I am messing up real database vs test
version :-)
-- 
[email-masked]

---

From: Barry Leiba <[email-masked]>
Date: Thu, 12 Sep 2013 17:53:30 -0400

> http://trac.tools.ietf.org/area/app/trac/wiki/tracker

I'll add that I use that page *all the time*.

And I do wish we had something -- in the datatracker or elsewhere --
that collected all Last Call comments for each document, including the
directorate reviews, along with the public discussion that followed.

I know that's a tall order, but it would be a *huge* help in dealing
with IESG review of document that have a lot of post-WG traffic.

Barry, Applications AD

---

From: Jouni Korhonen <[email-masked]>
Date: Fri, 13 Sep 2013 08:39:05 +0300

I have a stupid question. Who is the dir-coord representative for
AAA-Directorate? Or how is this supposed to be managed? Can I self
nominate myself as one since I (still sluggishly) maintain AAA-directorate
review assignments & wiki page? Sorry for being a bit out of the
orbit ;-)

- Jouni

On Sep 12, 2013, at 5:56 PM, Tero Kivinen <[email-masked]> wrote:

> _______________________________________________
> dir-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dir-coord

---

From: Claudio Allocchio <[email-masked]>
Date: Fri, 13 Sep 2013 08:41:51 +0200 (CEST)

> with IESG review of document that have a lot of post-WG traffic.

Dave Crocker and myself had a technical suggestion on how we could 
implement it (see below) but I started this discussion because if we make 
it, it should be a common tool for all Areas, of course.

> Barry, Applications AD

all the best!

Claudio

--------

>From [email-masked] Fri Aug 23 15:45:43 2013
Date: Fri, 23 Aug 2013 06:45:02 -0700
From: Dave Crocker <[email-masked]>
Reply-To: [email-masked]
To: Claudio Allocchio <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: [apps-discuss] [appsdir] Updated links to the list of reviews page

On 8/23/2013 6:40 AM, Claudio Allocchio wrote:
>>   This would require some sort of addressing convention for the review
>> -- and possibly more conventions than that -- probably for one of the
>> <draft name>.* addresses.
>
> this is the tricky part... reviews usually are e-mail messages, with not
> always consistent Subject line (as this is inserted by the sender), and
> errors in this sort of tagging are always possible. Making the

Fair point.  And as you describe it, I'd have to agree that some 
percentage of folk are certain to screw it up, given its free-form nature.

> Datatracker be able to pick up automatically from ML archives (like
> apps-discuss) seems somehow a non simple problem to solve. Maybe
> enabling some other function (a revier does send the e-mail review
> message ALSO to a special robot address which then makes the link from
> the ML to Datatracker automatically); something similar to what we have for
>
>     <[email-masked]>
>
> e.g.
>
> To: bla bla bla...
> cc: <[email-masked]>

yeah, that seems reasonable.

if a reviewer doesn't remember to include this address, it's not a big 
deal for the doc shepherd (or whoever) to forward to that address.  so 
this approach seems like it has both simplicity and robustness to it.

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 13 Sep 2013 07:56:08 -0400

> > I'll add that I use that page *all the time*.

These are the first few posts I've seen on dir-coord list,
so I'll add that if there are performance metrics in the 
draft of interest, there will likely be a pm-dir review
and we track assignments/status here (somewhat unconventionally):
https://docs.google.com/spreadsheet/ccc?key=0AmKrqWIOBsprdGZqMnB6dmx5bFJvVUhta3VLSjl3SkE&usp=sharing

Note there are two tabs at the bottom. Assistance to find the
review in our list archive is based on the date.

Al
pm-dir admin